### Command Line Options

Following is a list of recognized command line options. Note that, in the case of multiple options, the preferred order is `-r, -c, -m, -g, -d, -k, -a` and `-f`. The following options are valid at any time.

`-d`
  Enable debug trace as in the `trace` keyboard command.
`-f` filename
  Read commands from the file filename.
`-k`
  Begin program operation in keypad mode.
`-r` name
  Select the radio with identifier name. See above for a list of radio names and modes currently supported.

The following options are valid only after a radio has been selected

`-c` channel
  Select the memory channel channel and set the radio frequency, mode and offset to its contents.
`-d`
  Display the current radio frequency and mode. This is designed for use in shell scripts to confirm or log the results.
`-g` frequency
  Set the radio frequency to frequency in MHz if less than 1000 and in kHz otherwise.
`-m` mode
  Set the radio mode to mode. See above for a list of mode names valid for various radios. The mode names are specific to each radio type; not all radios support the same modes.